[tool.poetry]
name = "hoppr_nexus_bundler"
version = "0.5.11"
description = "Plug-in for Hoppr to bundle artifacts into a Nexus Repository"
authors = ["LMCO Open Source <open.source@lmco.com>"]
license = "MIT"
readme = "README.md"
homepage = "https://hoppr.dev"
repository = "https://gitlab.com/hoppr/plugins/hoppr-nexus-bundler"

keywords = [
  "hoppr",
  "plugin",
  "nexus",
]

classifiers = [
  "Development Status :: 2 - Pre-Alpha",
  "Intended Audience :: Information Technology",
  "Topic :: Communications :: File Sharing",
  "Topic :: Software Development :: Version Control",
  "Topic :: System :: Software Distribution"
]

[[tool.poetry.packages]]
include = "nexus_bundler"

[tool.poetry.dependencies]
python = "^3.10"
hoppr = "^1.10.2"
semver = "^3.0.1"

[tool.poetry.group.dev.dependencies]
black = "^22.6.0"
pylint = "^3.0.0"
mypy = "^1.4.1"
coverage = "^7.0.0"
pytest = "^8.0.0"

[tool.poetry.group.typing.dependencies]
pip-install = "^1.3.5"
types-pyyaml = "^6.0.12.20240311"
types-requests = "^2.31.0.20240311"

[tool.poetry.plugins."hoppr.plugin"]
nexus_bundler = "nexus_bundler.bundler:NexusBundlePlugin"

[tool.mypy]
enable_error_code = ["ignore-without-code"]
explicit_package_bases = true
follow_imports = "silent"
namespace_packages = true
no_implicit_reexport = true
packages = ["nexus_bundler", "test"]
plugins = ["pydantic.mypy"]
pretty = true
python_version = "3.10"
show_error_codes = true
warn_redundant_casts = true
warn_unused_configs = true
warn_unused_ignores = true

[[tool.mypy.overrides]]
module = ["nexus_bundler.*"]
disable_error_code = ["assignment"]

[[tool.mypy.overrides]]
module = ["test.*", "ruamel"]
allow_untyped_defs = true
allow_incomplete_defs = true
allow_untyped_calls = true
ignore_missing_imports = true

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
